<script setup lang="ts">
// Components
import PaginationView from '~/components/pub/my-ui/pagination/pagination-view.vue'

// Types
import type { PaginationMeta } from '~/components/pub/my-ui/pagination/pagination.type'

// Configs
import { config } from './list-cfg'

interface Props {
  data: any[]
  paginationMeta: PaginationMeta
}

defineProps<Props>()

const emit = defineEmits<{
  pageChange: [page: number]
}>()

function handlePageChange(page: number) {
  emit('pageChange', page)
}
</script>

<template>
  <div class="space-y-4">
    <PubMyUiDataTable
      v-bind="config"
      :rows="data"
      :skeleton-size="paginationMeta?.pageSize"
    />
  </div>

  <div class="my-2 flex justify-end border-t-slate-300 py-2">
    <PubMyUiNavFooterBa
      @click="
        navigateTo({
          name: 'org-src-division',
        })
      "
    />
  </div>
</template>
